.age-group-section{
    /* padding: 0 5rem; */
    /* margin: 3rem 5rem; */
    margin: 3rem 0;
    display: flex;
}
.age-group-section a{
    text-decoration: none;
}
.age-group-section .age-group-section-container{
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 1rem;
}
.age-group-section .age-group-section-container .age-group-block{
    display: flex;
    position: relative;
    width: 100%;
    gap: 1rem;
}

.age-group-section .age-group-section-container .age-group-block .age-group-content .details h1{
    font-size: var(--heading-size-elarge);
}
.age-group-section .age-group-section-container .age-group-block .products-section{
    display: flex;
    flex-direction: column;
    gap: 1rem;
    overflow: visible;
}
.age-group-section .age-group-section-container .age-group-block .products-section .buttons-section{
    display: flex;
    align-items: center;
}
.age-group-section .age-group-section-container .age-group-block .products-section .buttons-section button{
    aspect-ratio: 1/1;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.age-group-section .age-group-section-container .age-group-block .products-section .products{
    display: flex;
    overflow-y: scroll;
    gap: 1rem;
}
.age-group-section .age-group-section-container .age-group-block .products-section .products::-webkit-scrollbar{
    display: none;
}
.age-group-section .age-group-section-container .age-group-block .products-section .products .product-card{
    width: 300px;
}

@media (max-width: 850px) {
    .age-group-section .age-group-section-container .age-group-block .products-section .products .product-card{
        width: 200px;
    }
}
@media (max-width: 700px) {
    .age-group-section .age-group-section-container .age-group-block .age-group-content .details h1{
        font-size: var(--heading-size-medium);
    }
    .age-group-section .age-group-section-container .age-group-block .age-group-content .details p{
        font-size: var(--tertiary-font-size);
    }
}

/* for first default block */

.age-group-section .age-group-section-container .age-group-block-1{
    margin-bottom: 13rem;
}
.age-group-section .age-group-section-container .age-group-block-1 .age-group-content{
    width: 100%;
    height: 600px;
    position: relative;
}
.age-group-section .age-group-section-container .age-group-block-1 .age-group-content::before{
    content: "";
    position: absolute;
    height: 100%;
    width: 100%;
    background: linear-gradient(to top, rgba(0,0,0,0.5), rgba(0,0,0,0.1));
}
.age-group-section .age-group-section-container .age-group-block-1 .age-group-content img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.age-group-section .age-group-section-container .age-group-block-1 .age-group-content .details{
    position: absolute;
    top: 3rem;
    left: 50%;
    transform: translateX(-50%);
    color: var(--secondary-color);
    width: 40%;
    text-align: center;
}
.age-group-section .age-group-section-container .age-group-block-1 .products-section{
    position: absolute;
    right: 0;
    bottom: -25%;
    width: 100%;
    scroll-snap-type: x mandatory;
    scroll-padding-left: 3rem;
    /* display: none; */
}
.age-group-section .age-group-section-container .age-group-block-1 .buttons-section{
    justify-content: center;
    gap: 1rem;
}
.age-group-section .age-group-section-container .age-group-block-1 .buttons-section button{
    background-color: var(--secondary-color);
    color: var(--primary-color);
}
.age-group-section .age-group-section-container .age-group-block-1 .products-section .products{
    scroll-snap-type: x mandatory;
    padding-left: 50%;
    padding-right: 1rem;
    /* display: none; */
}

@media (max-width: 700px) {
    .age-group-section .age-group-section-container .age-group-block-1{
        flex-direction: column;
        margin-bottom: 10rem;
    }
    .age-group-section .age-group-section-container .age-group-block-1 .age-group-content{
        height: 400px;
    }
    .age-group-section .age-group-section-container .age-group-block-1 .age-group-content .details{
        width: 100%;
        top: 1rem;
        padding: 0 1rem;
    }
    .age-group-section .age-group-section-container .age-group-block-1 .products-section{
        bottom: -30%;
    }
    .age-group-section .age-group-section-container .age-group-block-1 .products-section .products{
        padding-left: 1rem;
    }
}

/* for second default block */

.age-group-section .age-group-section-container .age-group-block-2{
    margin-bottom: 13rem;
}
.age-group-section .age-group-section-container .age-group-block-2 .age-group-content{
    width: 60%;
    display: flex;
    justify-content: space-between;
    flex-direction: row-reverse;
    height: 550px;
    overflow: hidden;
}
.age-group-section .age-group-section-container .age-group-block-2 .age-group-content::before{
    content: "";
    position: absolute;
    height: 100%;
    width: 100%;
    background: linear-gradient(to top, rgba(0,0,0,0.5), rgba(0,0,0,0.1));
    border-radius: 0 1rem 1rem 0;
}
.age-group-section .age-group-section-container .age-group-block-2 .age-group-content img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 0 1rem 1rem 0;
}
.age-group-section .age-group-section-container .age-group-block-2 .age-group-content .details{
    position: absolute;
    top: 0;
    right: 0;
    color: var(--primary-color);
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 40%;
    padding: 0 1rem;
    text-align: center;
}
.age-group-section .age-group-section-container .age-group-block-2 .products-section{
    position: absolute;
    right: 0;
    bottom: -25%;
    width: 100%;
}
.age-group-section .age-group-section-container .age-group-block-2 .buttons-section{
    padding-right: 1rem;
    justify-content: start;
    padding-left: calc(60% + 1rem);
    gap: 1rem;
}
.age-group-section .age-group-section-container .age-group-block-2 .buttons-section button{
    background-color: var(--gray-medium);
    color: var(--secondary-color);
}
.age-group-section .age-group-section-container .age-group-block-2 .products-section .products{
    padding-right: 1rem;
    padding-left: calc(60% + 1rem);
}

@media (max-width: 700px) {
    .age-group-section .age-group-section-container .age-group-block-2{
        flex-direction: column;
        margin-bottom: 10rem;
    }
    .age-group-section .age-group-section-container .age-group-block-2 .age-group-content{
        height: 400px;
        width: 100%;
    }
    .age-group-section .age-group-section-container .age-group-block-2 .age-group-content::before{
        border-radius: 0;
    }
    .age-group-section .age-group-section-container .age-group-block-2 .age-group-content img{
        border-radius: 0;
    }
    .age-group-section .age-group-section-container .age-group-block-2 .age-group-content .details{
        width: 100%;
        top: 1rem;
        padding: 0 1rem;
        color: var(--secondary-color);
    }
    .age-group-section .age-group-section-container .age-group-block-2 .products-section{
        bottom: -30%;
    }
    .age-group-section .age-group-section-container .age-group-block-2 .buttons-section{
        padding-right: 0;
        justify-content: center;
        padding-left: 0;
        gap: 1rem;
    }
    .age-group-section .age-group-section-container .age-group-block-2 .buttons-section button{
        background-color: var(--secondary-color);
        color: var(--primary-color);
    }
    .age-group-section .age-group-section-container .age-group-block-2 .products-section .products{
        padding-left: 1rem;
    }
}

/* for third default block */


.age-group-section .age-group-section-container .age-group-block-3{
    margin-bottom: 13rem;
    flex-direction: row-reverse;

}
.age-group-section .age-group-section-container .age-group-block-3 .age-group-content{
    width: 60%;
    display: flex;
    justify-content: space-between;
    flex-direction: row-reverse;
    height: 550px;
    overflow: hidden;
}
.age-group-section .age-group-section-container .age-group-block-3 .age-group-content::before{
    content: "";
    top: 0;
    right: 0;
    position: absolute;
    height: 100%;
    width: 60%;
    background: linear-gradient(to top, rgba(0,0,0,0.5), rgba(0,0,0,0.1));
    border-radius: 1rem 0 0 1rem;
    z-index: 1;
}
.age-group-section .age-group-section-container .age-group-block-3 .age-group-content img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 1rem 0 0 1rem;
    position: relative;
}
.age-group-section .age-group-section-container .age-group-block-3 .age-group-content .details{
    position: absolute;
    top: 0;
    left: 0;
    color: var(--primary-color);
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 40%;
    padding: 0 1rem;
    gap: 1rem;
    text-align: center;
    z-index: 2;
}
.age-group-section .age-group-section-container .age-group-block-3 .products-section{
    position: absolute;
    left: 0;
    bottom: -25%;
    width: 100%;
}
.age-group-section .age-group-section-container .age-group-block-3 .buttons-section{
    padding-left: 1rem;
    justify-content: end;
    width: calc(100% - (60% + 1rem));
    gap: 1rem;
}
.age-group-section .age-group-section-container .age-group-block-3 .buttons-section button{
    background-color: var(--gray-medium);
    color: var(--secondary-color);
}
.age-group-section .age-group-section-container .age-group-block-3 .products-section .products{
    padding-left: 1rem;
    padding-right: calc(60% + 1rem);
    direction: rtl;
}
.age-group-section .age-group-section-container .age-group-block-3 .products-section .products > *{
    direction: ltr;
}

@media (max-width: 700px) {
    .age-group-section .age-group-section-container .age-group-block-3{
        flex-direction: column;
        margin-bottom: 10rem;
    }
    .age-group-section .age-group-section-container .age-group-block-3 .age-group-content{
        height: 400px;
        width: 100%;
    }
    .age-group-section .age-group-section-container .age-group-block-3 .age-group-content::before{
        width: 100%;
        border-radius: 0;
    }
    .age-group-section .age-group-section-container .age-group-block-3 .age-group-content img{
        border-radius: 0;
    }
    .age-group-section .age-group-section-container .age-group-block-3 .age-group-content .details{
        width: 100%;
        top: 1rem;
        padding: 0 1rem;
        color: var(--secondary-color);
    }
    .age-group-section .age-group-section-container .age-group-block-3 .products-section{
        bottom: -30%;
    }
    .age-group-section .age-group-section-container .age-group-block-3 .buttons-section{
        justify-content: center;
        padding: 0;
        gap: 1rem;
        width: 100%;
        z-index: 2;
    }
    .age-group-section .age-group-section-container .age-group-block-3 .buttons-section button{
        background-color: var(--secondary-color);
        color: var(--primary-color);
    }
    .age-group-section .age-group-section-container .age-group-block-3 .products-section .products{
        padding-left: 1rem;
        direction: ltr;
    }
}


/* for fourth default block */

.age-group-section .age-group-section-container .age-group-block-4{
    margin: 0 0 10rem 0;

}
.age-group-section .age-group-section-container .age-group-block-4 .age-group-content{
    width: 100%;
    height: 600px;
    position: relative;
}
.age-group-section .age-group-section-container .age-group-block-4 .age-group-content::before{
    content: "";
    position: absolute;
    height: 100%;
    width: 100%;
    background: linear-gradient(to top, rgba(0,0,0,0.6), rgba(0,0,0,0.3));
}
.age-group-section .age-group-section-container .age-group-block-4 .age-group-content img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.age-group-section .age-group-section-container .age-group-block-4 .age-group-content .details{
    position: absolute;
    top: 3rem;
    right: 0;
    color: var(--secondary-color);
    width: 50%;
    padding-right: 10%;
}
.age-group-section .age-group-section-container .age-group-block-4 .products-section{
    position: absolute;
    right: 0;
    bottom: -25%;
    width: 100%;
    scroll-snap-type: x mandatory;
    scroll-padding-left: 3rem;
    /* display: none; */
}
.age-group-section .age-group-section-container .age-group-block-4 .buttons-section{
    padding-left: 30%;
    gap: 1rem;
}
.age-group-section .age-group-section-container .age-group-block-4 .buttons-section button{
    background-color: var(--secondary-color);
    color: var(--primary-color);
}
.age-group-section .age-group-section-container .age-group-block-4 .products-section .products{
    scroll-snap-type: x mandatory;
    padding-left: 30%;
    padding-right: 1rem;
    /* display: none; */
}
@media (max-width: 700px) {
    .age-group-section .age-group-section-container .age-group-block-4{
        flex-direction: column;
        margin-bottom: 10rem;
    }
    .age-group-section .age-group-section-container .age-group-block-4 .age-group-content{
        height: 400px;
    }
    .age-group-section .age-group-section-container .age-group-block-4 .age-group-content .details{
        width: 100%;
        top: 1rem;
        padding: 0 1rem;
        text-align: center;
    }
    .age-group-section .age-group-section-container .age-group-block-4 .products-section{
        bottom: -30%;
    }
    .age-group-section .age-group-section-container .age-group-block-4 .buttons-section{
        padding: 0;
        justify-content: center;
    }
    .age-group-section .age-group-section-container .age-group-block-4 .products-section .products{
        padding-left: 1rem;
    }
}